Bug 1657341 - Provisioned VM through CloudForms shows no host associated with provider(VMWare)
Summary: Provisioned VM through CloudForms shows no host associated with provider(VMWare)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.z
Assignee: Adam Grare
QA Contact: Kedar Kulkarni
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1692488 1704905
TreeView+ depends on / blocked
 
Reported: 2018-12-07 17:05 UTC by Tuan
Modified: 2019-07-26 18:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 18:16:58 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)

Comment 25 Adam Grare 2019-02-05 21:02:46 UTC
https://github.com/ManageIQ/manageiq/pull/18433

Comment 26 Adam Grare 2019-02-05 21:07:14 UTC
I don't want to say the PR has fixed this issue, more like it allows the refresh to finish if a lan wasn't saved for whatever reason and thus couldn't load the ID for future use.
We still need to investigate why a lan in the collection wasn't saved but there is a log warning with the lan uid_ems and the switch ID when this happens which can help us further diagnose.

Comment 28 CFME Bot 2019-02-13 04:33:36 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/82ef8ce89ae9d4ef597b4f8723cf7bc7919faee9
commit 82ef8ce89ae9d4ef597b4f8723cf7bc7919faee9
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Feb  5 15:08:18 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Feb  5 15:08:18 2019 -0500

    Fix save_inventory error if lan can't be found

    When loading IDs of newly saved lans skip any that can't be found by
    uid_ems.

    https://bugzilla.redhat.com/show_bug.cgi?id=1657341

 app/models/ems_refresh/save_inventory_infra.rb | 8 +
 1 file changed, 8 insertions(+)


Note You need to log in before you can comment on or make changes to this bug.